<?php


return  
    [
        'model' => [
            'model' => \Litecms\Maintenance\Models\Contract::class,
            'table' => 'litecms_maintenance_contracts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['vendor_id',  'property_id',  'ref',  'contract_date',  'start_date',  'end_date',  'amount',  'percentage',  'paid_by',  'payment_terms',  'status',  'services',  'notes',  'documents',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'maintenance/contract',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "vendor_id", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.vendor_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contract_date", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.contract_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end_date", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "percentage", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.percentage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "paid_by", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.paid_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_terms", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.payment_terms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "services", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.services', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'maintenance::contract.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'vendor_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'maintenance::contract.label.vendor_id',
                "placeholder" => 'maintenance::contract.placeholder.vendor_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'maintenance::contract.label.property_id',
                "placeholder" => 'maintenance::contract.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::contract.label.ref',
                "placeholder" => 'maintenance::contract.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contract_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'maintenance::contract.label.contract_date',
                "placeholder" => 'maintenance::contract.placeholder.contract_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'maintenance::contract.label.start_date',
                "placeholder" => 'maintenance::contract.placeholder.start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'maintenance::contract.label.end_date',
                "placeholder" => 'maintenance::contract.placeholder.end_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'maintenance::contract.label.amount',
                "placeholder" => 'maintenance::contract.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'percentage',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'maintenance::contract.label.percentage',
                "placeholder" => 'maintenance::contract.placeholder.percentage',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'paid_by',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'maintenance::contract.label.paid_by',
                "placeholder" => 'maintenance::contract.placeholder.paid_by',
                "rules" => '',
                "options" => function(){
                    return trans('maintenance::contract.options.paid_by');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_terms',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'maintenance::contract.label.payment_terms',
                "placeholder" => 'maintenance::contract.placeholder.payment_terms',
                "rules" => '',
                "options" => function(){
                    return trans('maintenance::contract.options.payment_terms');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'services',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::contract.label.services',
                "placeholder" => 'maintenance::contract.placeholder.services',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::contract.label.notes',
                "placeholder" => 'maintenance::contract.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::contract.label.documents',
                "placeholder" => 'maintenance::contract.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'maintenance/contract/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'maintenance/contract/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'maintenance/contract',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'maintenance/contract',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'maintenance/contract',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'maintenance/contract',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'maintenance::contract.label.created_at',
            'name' => 'maintenance::contract.label.name',
            'status' => 'maintenance::contract.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "maintenance::contract.groups.main",
                'group' => "main.main",
                'title' => "maintenance::contract.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "maintenance::contract.groups.details",
                'group' => "main.details",
                'title' => "maintenance::contract.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "maintenance::contract.groups.images",
                'group' => "main.images",
                'title' => "maintenance::contract.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "maintenance::contract.groups.settings",
                'group' => "main.settings",
                'title' => "maintenance::contract.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Maintenance',
            'module' => 'Contract',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Maintenance\Models\Contract::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'maintenance::contract.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['maintenance.contract.copy', 'maintenance.contract.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'maintenance::contract.label.count',
                        "placeholder" => 'maintenance::contract.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'maintenance::contract.label.comment',
                        "placeholder" => 'maintenance::contract.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'maintenance::contract.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'maintenance::contract.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
