<?php


return  
    [
        'model' => [
            'model' => \Litecms\Maintenance\Models\Vendor::class,
            'table' => 'litecms_maintenance_vendors',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'contact_person',  'email',  'phone',  'fax',  'website',  'address',  'status',  'services',  'notes',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'maintenance/vendor',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_person", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.contact_person', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fax", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.fax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "website", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.website', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "services", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.services', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'maintenance::vendor.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.name',
                "placeholder" => 'maintenance::vendor.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_person',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.contact_person',
                "placeholder" => 'maintenance::vendor.placeholder.contact_person',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.email',
                "placeholder" => 'maintenance::vendor.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.phone',
                "placeholder" => 'maintenance::vendor.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fax',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.fax',
                "placeholder" => 'maintenance::vendor.placeholder.fax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'website',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.website',
                "placeholder" => 'maintenance::vendor.placeholder.website',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.address',
                "placeholder" => 'maintenance::vendor.placeholder.address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'services',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.services',
                "placeholder" => 'maintenance::vendor.placeholder.services',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'maintenance::vendor.label.notes',
                "placeholder" => 'maintenance::vendor.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'maintenance/vendor/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'maintenance/vendor/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'maintenance/vendor',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'maintenance/vendor',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'maintenance/vendor',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'maintenance/vendor',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'maintenance::vendor.label.created_at',
            'name' => 'maintenance::vendor.label.name',
            'status' => 'maintenance::vendor.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "maintenance::vendor.groups.main",
                'group' => "main.main",
                'title' => "maintenance::vendor.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "maintenance::vendor.groups.details",
                'group' => "main.details",
                'title' => "maintenance::vendor.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "maintenance::vendor.groups.images",
                'group' => "main.images",
                'title' => "maintenance::vendor.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "maintenance::vendor.groups.settings",
                'group' => "main.settings",
                'title' => "maintenance::vendor.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Maintenance',
            'module' => 'Vendor',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'maintenance::vendor.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['maintenance.vendor.copy', 'maintenance.vendor.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'maintenance::vendor.label.count',
                        "placeholder" => 'maintenance::vendor.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'maintenance::vendor.label.comment',
                        "placeholder" => 'maintenance::vendor.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'maintenance::vendor.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'maintenance::vendor.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
