<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsMaintenanceContractsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_maintenance_contracts
         */
        Schema::create('litecms_maintenance_contracts', function ($table) {
            $table->increments('id');
            $table->integer('vendor_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('ref', 50)->nullable();
            $table->date('contract_date')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->decimal('percentage', 6,2)->nullable();
            $table->enum('paid_by', ['Yes', 'No'])->nullable();
            $table->enum('payment_terms', ['Yes', 'No'])->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->text('services')->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_maintenance_contracts');
    }
}
