<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsMaintenanceProposalsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_maintenance_proposals
         */
        Schema::create('litecms_maintenance_proposals', function ($table) {
            $table->increments('id');
            $table->integer('vendor_id')->nullable();
            $table->integer('contract_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('workorder_id')->nullable();
            $table->string('services', 50)->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->dateTime('date')->nullable();
            $table->dateTime('expiry_date')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->text('documents')->nullable();
            $table->text('notes')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_maintenance_proposals');
    }
}
