<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsMaintenanceWorkordersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_maintenance_workorders
         */
        Schema::create('litecms_maintenance_workorders', function ($table) {
            $table->increments('id');
            $table->integer('property_id')->nullable();
            $table->integer('vendor_id')->nullable();
            $table->integer('contract_id')->nullable();
            $table->string('ref', 50)->nullable();
            $table->enum('location_type', ['Yes', 'No'])->nullable();
            $table->string('unit', 50)->nullable();
            $table->string('location', 100)->nullable();
            $table->enum('category', ['Yes', 'No'])->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('priority', 100)->nullable();
            $table->string('service_type', 100)->nullable();
            $table->mediumText('within_contract')->nullable();
            $table->text('notes')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_maintenance_workorders');
    }
}
