<?php

namespace Litecms\Maintenance\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ProposalTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_maintenance_proposals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.maintenance.proposal.view',
                'name'      => 'View Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.create',
                'name'      => 'Create Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.edit',
                'name'      => 'Update Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.delete',
                'name'      => 'Delete Proposal',
            ],
            
                        [
                'slug'      => 'litecms.maintenance.proposal.verify',
                'name'      => 'Verify Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.approve',
                'name'      => 'Approve Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.publish',
                'name'      => 'Publish Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.unpublish',
                'name'      => 'Unpublish Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.cancel',
                'name'      => 'Cancel Proposal',
            ],
            [
                'slug'      => 'litecms.maintenance.proposal.archive',
                'name'      => 'Archive Proposal',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/maintenance/proposal',
                'name'        => 'Proposal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/maintenance/proposal',
                'name'        => 'Proposal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'proposal',
                'name'        => 'Proposal',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Maintenance',
                'module'    => 'Proposal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.maintenance.proposal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
