<?php

namespace Litecms\Maintenance\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class WorkorderTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_maintenance_workorders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.maintenance.workorder.view',
                'name'      => 'View Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.create',
                'name'      => 'Create Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.edit',
                'name'      => 'Update Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.delete',
                'name'      => 'Delete Workorder',
            ],
            
                        [
                'slug'      => 'litecms.maintenance.workorder.verify',
                'name'      => 'Verify Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.approve',
                'name'      => 'Approve Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.publish',
                'name'      => 'Publish Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.unpublish',
                'name'      => 'Unpublish Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.cancel',
                'name'      => 'Cancel Workorder',
            ],
            [
                'slug'      => 'litecms.maintenance.workorder.archive',
                'name'      => 'Archive Workorder',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/maintenance/workorder',
                'name'        => 'Workorder',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/maintenance/workorder',
                'name'        => 'Workorder',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'workorder',
                'name'        => 'Workorder',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Maintenance',
                'module'    => 'Workorder',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.maintenance.workorder.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
