<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for contract in maintenance package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  contract module in maintenance package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Contract',
    'names' => 'Contracts',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Contracts',
        'sub' => 'Contracts'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'paid_by' => 
            [
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
                [
                    'key'    => 'Management Company',
                    'value'  => 'Management Company',
                    'text'   => 'Management Company',
                ],
                                
            ],

        'payment_terms' => 
            [
                                
                [
                    'key'    => 'Annually',
                    'value'  => 'Annually',
                    'text'   => 'Annually',
                ],
                                
                [
                    'key'    => 'Bi-Annually',
                    'value'  => 'Bi-Annually',
                    'text'   => 'Bi-Annually',
                ],
                                
                [
                    'key'    => 'Monthly',
                    'value'  => 'Monthly',
                    'text'   => 'Monthly',
                ],
                                
                [
                    'key'    => 'Quarterly',
                    'value'  => 'Quarterly',
                    'text'   => 'Quarterly',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'Inactive',
                    'value'  => 'Inactive',
                    'text'   => 'Inactive',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'vendor_id'                  => 'Please enter vendor id',
        'property_id'                => 'Please enter property id',
        'ref'                        => 'Please enter ref',
        'contract_date'              => 'Please select contract date',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'amount'                     => 'Please enter amount',
        'percentage'                 => 'Please enter percentage',
        'paid_by'                    => 'Please select paid by',
        'payment_terms'              => 'Please select payment terms',
        'status'                     => 'Please select status',
        'services'                   => 'Please enter services',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'vendor_id'                  => 'Vendor id',
        'property_id'                => 'Property id',
        'ref'                        => 'Ref',
        'contract_date'              => 'Contract date',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'amount'                     => 'Amount',
        'percentage'                 => 'Percentage',
        'paid_by'                    => 'Paid by',
        'payment_terms'              => 'Payment terms',
        'status'                     => 'Status',
        'services'                   => 'Services',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
