<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for proposal in maintenance package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  proposal module in maintenance package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Proposal',
    'names' => 'Proposals',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Proposals',
        'sub' => 'Proposals'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Complete',
                    'value'  => 'Complete',
                    'text'   => 'Complete',
                ],
                                
                [
                    'key'    => 'Approve',
                    'value'  => 'Approve',
                    'text'   => 'Approve',
                ],
                                
                [
                    'key'    => 'Reject',
                    'value'  => 'Reject',
                    'text'   => 'Reject',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'vendor_id'                  => 'Please enter vendor id',
        'contract_id'                => 'Please enter contract id',
        'building_id'                => 'Please enter building id',
        'workorder_id'               => 'Please enter workorder id',
        'services'                   => 'Please enter services',
        'amount'                     => 'Please enter amount',
        'date'                       => 'Please select date',
        'expiry_date'                => 'Please select expiry date',
        'status'                     => 'Please select status',
        'documents'                  => 'Please enter documents',
        'notes'                      => 'Please enter notes',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'vendor_id'                  => 'Vendor id',
        'contract_id'                => 'Contract id',
        'building_id'                => 'Building id',
        'workorder_id'               => 'Workorder id',
        'services'                   => 'Services',
        'amount'                     => 'Amount',
        'date'                       => 'Date',
        'expiry_date'                => 'Expiry date',
        'status'                     => 'Status',
        'documents'                  => 'Documents',
        'notes'                      => 'Notes',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
