<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for workorder in maintenance package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  workorder module in maintenance package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Workorder',
    'names' => 'Workorders',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Workorders',
        'sub' => 'Workorders'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'location_type' => 
            [
                                
                [
                    'key'    => 'Unit',
                    'value'  => 'Unit',
                    'text'   => 'Unit',
                ],
                                
                [
                    'key'    => 'Common Area',
                    'value'  => 'Common Area',
                    'text'   => 'Common Area',
                ],
                                
            ],

        'category' => 
            [
                                
                [
                    'key'    => 'Corrective',
                    'value'  => 'Corrective',
                    'text'   => 'Corrective',
                ],
                                
                [
                    'key'    => 'Preventive',
                    'value'  => 'Preventive',
                    'text'   => 'Preventive',
                ],
                                
                [
                    'key'    => 'Reactive',
                    'value'  => 'Reactive',
                    'text'   => 'Reactive',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Entered',
                    'value'  => 'Entered',
                    'text'   => 'Entered',
                ],
                                
                [
                    'key'    => 'Assigned',
                    'value'  => 'Assigned',
                    'text'   => 'Assigned',
                ],
                                
                [
                    'key'    => 'Closed',
                    'value'  => 'Closed',
                    'text'   => 'Closed',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'property_id'                => 'Please enter property id',
        'vendor_id'                  => 'Please enter vendor id',
        'contract_id'                => 'Please enter contract id',
        'ref'                        => 'Please enter ref',
        'location_type'              => 'Please select location type',
        'unit'                       => 'Please enter unit',
        'location'                   => 'Please enter location',
        'category'                   => 'Please select category',
        'status'                     => 'Please select status',
        'priority'                   => 'Please enter priority',
        'service_type'               => 'Please enter service type',
        'within_contract'            => 'Please enter within contract',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'property_id'                => 'Property id',
        'vendor_id'                  => 'Vendor id',
        'contract_id'                => 'Contract id',
        'ref'                        => 'Ref',
        'location_type'              => 'Location type',
        'unit'                       => 'Unit',
        'location'                   => 'Location',
        'category'                   => 'Category',
        'status'                     => 'Status',
        'priority'                   => 'Priority',
        'service_type'               => 'Service type',
        'within_contract'            => 'Within contract',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
