<?php

// Web routes  for maintenance.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for vendor

Route::prefix('{guard}/vendor')->group(function () {


    Route::get('/action/{vendor}/{user}', 'VendorActionController@get')
        ->name('litecms.maintenance.action');
    Route::post('/action/{vendor}/{user}', 'VendorActionController@post');

});


// Workflow routes for contract

Route::prefix('{guard}/contract')->group(function () {

    Route::get('/workflow/{contract}/{user}', 'ContractWorkflowController@get')
        ->name('litecms.maintenance.workflow');
    Route::post('/workflow/{contract}/{user}', 'ContractWorkflowController@post');

    Route::get('/action/{contract}/{user}', 'ContractActionController@get')
        ->name('litecms.maintenance.action');
    Route::post('/action/{contract}/{user}', 'ContractActionController@post');

});


// Workflow routes for workorder

Route::prefix('{guard}/workorder')->group(function () {

    Route::get('/workflow/{workorder}/{user}', 'WorkorderWorkflowController@get')
        ->name('litecms.maintenance.workflow');
    Route::post('/workflow/{workorder}/{user}', 'WorkorderWorkflowController@post');

    Route::get('/action/{workorder}/{user}', 'WorkorderActionController@get')
        ->name('litecms.maintenance.action');
    Route::post('/action/{workorder}/{user}', 'WorkorderActionController@post');

});


// Workflow routes for proposal

Route::prefix('{guard}/proposal')->group(function () {

    Route::get('/workflow/{proposal}/{user}', 'ProposalWorkflowController@get')
        ->name('litecms.maintenance.workflow');
    Route::post('/workflow/{proposal}/{user}', 'ProposalWorkflowController@post');

    Route::get('/action/{proposal}/{user}', 'ProposalActionController@get')
        ->name('litecms.maintenance.action');
    Route::post('/action/{proposal}/{user}', 'ProposalActionController@post');

});

