<?php

namespace Litecms\Maintenance\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Maintenance\Models\Contract;


class ContractAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.maintenance.contract';
    protected $eventClass = \Litecms\Maintenance\Events\ContractAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Contract $contract, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $contract;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Contract $contract, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $contract = $contract->create($attributes);
        return $contract;
    }

    public function update(Contract $contract, array $request)
    {
        $attributes = $request;
        $contract->update($attributes);
        return $contract;
    }

    public function destroy(Contract $contract, array $request)
    {
        $contract->delete();
        return $contract;
    }

    public function copy(Contract $contract, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $contract = $contract->replicate();
            $contract->created_at = Carbon::now();
            $contract->save();
            return $contract;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $contract->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $contract;
    }


}
