<?php

namespace Litecms\Maintenance\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Maintenance\Models\Proposal;


class ProposalAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.maintenance.proposal';
    protected $eventClass = \Litecms\Maintenance\Events\ProposalAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Proposal $proposal, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $proposal;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Proposal $proposal, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $proposal = $proposal->create($attributes);
        return $proposal;
    }

    public function update(Proposal $proposal, array $request)
    {
        $attributes = $request;
        $proposal->update($attributes);
        return $proposal;
    }

    public function destroy(Proposal $proposal, array $request)
    {
        $proposal->delete();
        return $proposal;
    }

    public function copy(Proposal $proposal, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $proposal = $proposal->replicate();
            $proposal->created_at = Carbon::now();
            $proposal->save();
            return $proposal;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $proposal->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $proposal;
    }


}
