<?php

namespace Litecms\Maintenance\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Maintenance\Models\Vendor;


class VendorAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.maintenance.vendor';
    protected $eventClass = \Litecms\Maintenance\Events\VendorAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Vendor $vendor, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $vendor;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Vendor $vendor, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $vendor = $vendor->create($attributes);
        return $vendor;
    }

    public function update(Vendor $vendor, array $request)
    {
        $attributes = $request;
        $vendor->update($attributes);
        return $vendor;
    }

    public function destroy(Vendor $vendor, array $request)
    {
        $vendor->delete();
        return $vendor;
    }

    public function copy(Vendor $vendor, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $vendor = $vendor->replicate();
            $vendor->created_at = Carbon::now();
            $vendor->save();
            return $vendor;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $vendor->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $vendor;
    }


}
