<?php

namespace Litecms\Maintenance\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Maintenance\Models\Workorder;


class WorkorderAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.maintenance.workorder';
    protected $eventClass = \Litecms\Maintenance\Events\WorkorderAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Workorder $workorder, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $workorder;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Workorder $workorder, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $workorder = $workorder->create($attributes);
        return $workorder;
    }

    public function update(Workorder $workorder, array $request)
    {
        $attributes = $request;
        $workorder->update($attributes);
        return $workorder;
    }

    public function destroy(Workorder $workorder, array $request)
    {
        $workorder->delete();
        return $workorder;
    }

    public function copy(Workorder $workorder, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $workorder = $workorder->replicate();
            $workorder->created_at = Carbon::now();
            $workorder->save();
            return $workorder;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $workorder->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $workorder;
    }


}
