<?php

namespace Litecms\Maintenance\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Maintenance\Http\Requests\ProposalActionsRequest;
use Litecms\Maintenance\Actions\ProposalActions;

/**
 * Admin web controller class.
 */
class ProposalActionsController extends BaseController
{

    /**
     * Action controller function for proposal.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ProposalActionsRequest $request, $action)
    {
        try {
            $proposal = ProposalActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('maintenance::proposal.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('maintenance/proposal/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('maintenance/proposal/' . $action))
                ->redirect();
        }
    }
}
