<?php

namespace Litecms\Maintenance\Policies;

use Litecms\Maintenance\Models\Proposal;
use Litepie\User\Interfaces\UserPolicyInterface;

trait ProposalAction
{

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Proposal $proposal)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('maintenance.proposal.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Proposal $proposal) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('maintenance.proposal.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Proposal $proposal)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('maintenance.proposal.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Proposal $proposal)
    {


        if ($authUser->canDo('maintenance.proposal.action.delete')) {
            return true;
        }

        return false;
    }


}
