<?php


namespace Litecms\Maintenance\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ProposalReport
{

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.proposal.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.proposal.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given proposal.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.proposal.report.download')) {
            return true;
        }

        return false;
    }
}
