<?php


namespace Litecms\Maintenance\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait WorkorderReport
{

    /**
     * Determine if the given user can approve the given workorder.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.workorder.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given workorder.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.workorder.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given workorder.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('maintenance.workorder.report.download')) {
            return true;
        }

        return false;
    }
}
