<?php

namespace Litecms\Maintenance\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Vendor policy
        \Litecms\Maintenance\Models\Vendor::class 
        => \Litecms\Maintenance\Policies\VendorPolicy::class,// Bind Contract policy
        \Litecms\Maintenance\Models\Contract::class 
        => \Litecms\Maintenance\Policies\ContractPolicy::class,// Bind Workorder policy
        \Litecms\Maintenance\Models\Workorder::class 
        => \Litecms\Maintenance\Policies\WorkorderPolicy::class,// Bind Proposal policy
        \Litecms\Maintenance\Models\Proposal::class 
        => \Litecms\Maintenance\Policies\ProposalPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
