<?php

namespace Litecms\Maintenance\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Maintenance\Events\MaintenanceAction;
use Litecms\Maintenance\Events\MaintenanceWorkflow;
use Litecms\Maintenance\Listeners\MaintenanceAction as MaintenanceActionListener;
use Litecms\Maintenance\Listeners\MaintenanceWorkflow as MaintenanceWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        MaintenanceAction::class => [
            MaintenanceActionListener::class,
        ],
        MaintenanceWorkflow::class => [
            MaintenanceWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
